みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

ChromeでのFlash Playerのブロック

クロームで突然一部のサイト(ニコ生、DMMゲームの一部、艦これ等、グラブルは問題ない)で、「Adobe Flash Playerのバージョンが古いためブロックされました」といった背景黄色反転の警告文が出るようになりました。今回は実行するをクリックすれば、普通に見れるのですが面倒この上ありません。

クロームのプラグイン設定からflashの更新を押してもコンポーネント未更新となってそれ以上すすめない。といった状態。でも赤文字で更新の注意文は出ている。

組み込み式のflashということで、色々自分なりに調べて試してみました、
http://blog.livedoor.jp/fs00r612/archives/52070036.html

対処策として、上のurlの人の方法で最新のflashをリネームして置き換えるというのが唯一の方法のようでした。

で、実行に移したのですが、最新のflashをダウンロード、インストールしたまでは出来たのですが、リネームして差し替えようとしたら、
C:\Users\new\AppData\Local\Google\Chrome\User Data\PepperFlashのPepperFlashフォルダの中が空で現在の古いflashがありません。
クローム内の情報から、C:\ProgramFiles\Google\Chrome\Application\49.0.2623.112\PepperFlashに入っていました。

そこで、そこに入っている古いflashのdllファイルを最新のリネームしたdllファイルに置き換えたところ、開いていたブラウザを閉じた途端、0×81のブルースクリーン・・。恐怖して再起動、直っているのかとブロックされていたサイトを開くと、変わらずブロックされました表示。それどころか、「今回は実行する」ボタンさえなく更に悪化してました。

不安一杯で置き換える前の元の状態に戻してみてみると、「今回は実行する」ボタンが出て安堵。現状に至ります。

※最新のバージョンをインストールする事は手動で出来るようなのに、何ゆえ自分のクロームにおいて内臓flashが格納されている場所が違うのでしょうか・・?
今は、サポートが切れた古いバージョンのクロームをインストールは出来ないようなので、クローム自体を再インストールという手立ては無理です::
対応策がありますでしょうか?どうか宜しくお願いいたします。

(PC環境は経済的な面もあり、OSは未だにvista使用です、Chromeのバージョンは49
せめてもと、セキュリティーソフトだけはESETをいれてます)

投稿日時 - 2017-10-25 02:05:54

QNo.9389638

困ってます

質問者が選んだベストアンサー

回答ではなくて申し訳ないですが

>OSは未だにvista使用です
って言うのが無茶ですね…

生憎Vistaは所有しておらず動作確認用のXP(仮想化環境上で動作)で確認してみましたが書かれているようなGoogle ChromeのFlashの差し替えをしてみましたがどうもうまくプラグインを読み込みませんでした。

ちょうど手元に残っていたChrome系(Chromium系)のSRWare Ironの49をインストールして27.0.0.170のinstall_flash_player_ppapi.exeをインストールしてみましたが一応最新のFlashは動作するようです。

投稿日時 - 2017-10-25 04:40:10

補足

最初に書いたコメントが反映されない・・・。

投稿日時 - 2017-10-25 10:53:17

お礼

↓の121さんのコメントにも書かせてもらいましたが、別PCを起動しインストールまでして動作確認して頂きまして大変恐縮です。有難うございました!

投稿日時 - 2017-10-26 03:55:45

このQ&Aは役に立ちましたか?

1人が「このQ&Aが役に立った」と投票しています

回答(4)

ANo.4

maxpokomax さん、こんばんは。

今時、ビスタでネット活動するというのはいかがなもんでしょうか?セキュリティソフトの問題もありますし、どうもネットでゲームやソフトの問題をも起こしている。これはPCを買い替えるしかないと思います。

投稿日時 - 2017-10-25 19:30:49

ANo.3

>最初に書いたコメントが反映されない・・・。
ん?何を書かれていたのでしょう…

この回答の補足やお礼を再度書くことが出来ると思うのでもう一度書き込んでみるとか。

投稿日時 - 2017-10-25 16:41:37

補足

お手数かけて申し訳ないです;;。態々、動作確認、インストールまでして下さった事に対しての感謝の意を書かせて貰いました。ironですか・・。一度試してみます。本当に色々していただいて有難うございました!

投稿日時 - 2017-10-26 03:47:00

お礼

今度はコメント大丈夫でした。有難うございました!

投稿日時 - 2017-10-26 03:57:29

ANo.2

vistaと、7以降は、Windowsのソフトウェアの管理、保存場所が異なります。
Chromeに限った話ではなく、エクセルやWindows自体のプログラムでも異なっています。

異なる理由は、vistaのセキュリティが甘すぎたので、それへの対応がされたから、くらいしか説明できないかと。

ファイルの標準での保存場所は、vistaでの説明以外は参考にしないことです。
あと、一部の保存ファイルは、ファイル名も変わります。

あと、それだけがんばられても、フラッシュの利用は2年後までです。アドビからのフラッシュプレイヤーの提供、Chromeの組み込みフラッシュとも対応がなくなります。
それ以降も使いたい場合、今の環境を更新しないことです。
とはいっても、vistaは新しいSSLに非対応なので、SSLがかかっていないサイトでの利用が中心になるかと思いますが。

投稿日時 - 2017-10-25 09:17:02

補足

あれ、こちらも反映されてない・・。

投稿日時 - 2017-10-25 10:53:36

お礼

回答有難うございます!どうやら、同時期、同症状の方が他にもいるようで、やはりpotatoroomさんのいわれるように、何かしらの対処がされたようですね。いずれにしてもPCの購入はしなければと思っています。親身なアドバイス誠に有難いです!

投稿日時 - 2017-10-26 03:52:47

あなたにオススメの質問